package jrummikub.model;

/**
 * Mock class for {@link Player}
 */
public class MockPlayer implements IPlayer {
	/** */
	public Hand hand;
	/** */
	public PlayerSettings playerSettings;
	/** */
	public boolean laidOut;

	/**
	 * @param playerSettings
	 *            the player settings
	 */
	public MockPlayer(PlayerSettings playerSettings) {
		hand = new Hand();
		this.playerSettings = playerSettings;
		laidOut = false;
	}

	@Override
	public boolean getLaidOut() {
		return laidOut;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public PlayerSettings getPlayerSettings() {
		return playerSettings;
	}

	@Override
	public void setLaidOut(boolean laidOut) {
		this.laidOut = laidOut;
	}
}
